#!/usr/bin/python
##### Smerni diagram Huygensovega izvora v polarnih koordinatah - S53MV 12.12.2017 #####

import math	#uporabljene funkcije

k=0.01		#korak risanja v radianih

xk=[]		#polja za risanje kroga
yk=[]
xf=[]		#polja za risanje funkcije
yf=[]

t=-math.pi		#kot theta v radianih
while t<=math.pi:
	xk=xk+[math.sin(t)]	#referencni enotni krog
	yk=yk+[math.cos(t)]
	f=(1.0+math.cos(t))/2.0	#izracun funkcije
	xf=xf+[math.sin(t)*f]	#risanje funkcije
	yf=yf+[math.cos(t)*f]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
plt.plot(xk,yk,'g-',lw=1)		#referencni enotni krog
plt.plot([-1,1],[0,0],'g-',lw=1)	#koordinatne osi
plt.plot([0,0],[-1,1],'g-',lw=1)
plt.plot(xf,yf,'b-',lw=3)		#risanje funkcije
plt.axis([-1.05,1.05,-1.05,1.05])
plt.xticks([])
plt.yticks([])
plt.title('Linearno radialno merilo')
plt.xlabel('Os z')
plt.ylabel('Ravnina xy')
plt.axes().set_aspect('equal')
plt.show()

#konec programa

